org.apache.cassandra.net

## Interface IMessageCallback

- All Known Subinterfaces:
    IAsyncCallback<T>, IAsyncResult<T>
  All Known Implementing Classes:
    AbstractWriteResponseHandler, AsyncRepairCallback, DatacenterSyncWriteResponseHandler, DatacenterWriteResponseHandler, ReadCallback, TruncateResponseHandler, WriteResponseHandler

      public interface IMessageCallback

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isLatencyForSnitch()`

- - ### Method Detail

    - #### isLatencyForSnitch

          boolean isLatencyForSnitch()

      Returns:
        true if this callback is on the read path and its latency should be given as input to the dynamic snitch.

Copyright © 2014 The Apache Software Foundation